GNU bug report logs - #38382
26.3; Message body not displayed after editing in rmail-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ed Sabol <esabol@HIDDEN>; dated Tue, 26 Nov 2019 01:31:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 13 Jan 2020 23:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 18:45:21 2020
Received: from localhost ([127.0.0.1]:60392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir9Ob-00062B-1r
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:45:21 -0500
Received: from bigbang.gsfc.nasa.gov ([128.183.16.133]:51908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=kKYQg=3C=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1ir9OY-00061y-DG
 for 38382 <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:45:20 -0500
Received: from alderaan.gsfc.nasa.gov (alderaan.gsfc.nasa.gov [128.183.53.160])
 by bigbang.gsfc.nasa.gov (8.15.2/8.15.2) with ESMTP id 00DNjGiW011628;
 Mon, 13 Jan 2020 18:45:16 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 bigbang.gsfc.nasa.gov 00DNjGiW011628
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bigbang.gsfc.nasa.gov; s=bigbang-2018-09; t=1578959117;
 bh=cZGhVPQytAANkEGXnHlfX+iyaQakG1nzh37GU+GKwBE=;
 h=From:To:CC:In-reply-to:Subject:Reply-To:References:Date:From;
 b=BlT3JvuRe+Px4Pml4WGUqMJClqiAW2gvJ9tXx4KfQ2bQxoHyF5DEYeH7m/EnfhUnf
 Q1WQGLoh2HdpNxJ14RUn8ymj9RKY0Dt2ZePMUOAWnFZFofpHjmECazVzVVTSvtgkyZ
 ZhCs1BEGzei2VyHnT6emTjz1Q1bmFAICv1EbLUWI=
Received: by alderaan.gsfc.nasa.gov (Postfix, from userid 679)
 id 689B7203EC; Mon, 13 Jan 2020 18:45:16 -0500 (EST)
From: "Edward J. Sabol" <edward.j.sabol@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83o8v97ths.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 11
 Jan 2020 20:11:59 +0200)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
 <83y2voe6sd.fsf@HIDDEN> <20200110224010.04932203EC@HIDDEN>
 <83lfqe8mia.fsf@HIDDEN> <20200111175548.D6B7D519@HIDDEN>
 <83o8v97ths.fsf@HIDDEN>
Message-Id: <20200113234516.689B7203EC@HIDDEN>
Date: Mon, 13 Jan 2020 18:45:16 -0500 (EST)
X-Greylist: inspected by milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov
 [128.183.16.133]);
 Mon, 13 Jan 2020 18:45:17 -0500 (EST) for IP:'128.183.53.160'
 DOMAIN:'alderaan.gsfc.nasa.gov' HELO:'alderaan.gsfc.nasa.gov'
 FROM:'edward.j.sabol@HIDDEN' RCPT:''
X-Greylist: Default is to whitelist mail, not delayed by
 milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov [128.183.16.133]);
 Mon, 13 Jan 2020 18:45:17 -0500 (EST)
X-Scanned-By: MIMEDefang 2.84 on 128.183.16.133
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ed Sabol <esabol@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

>>> Just to be sure: this happens for you in "emacs -Q" as well, does it?
>> 
>> Yes. And I reconfirmed that right before I emailed yesterday. Do you have
>> messages before and after the message with no body in the Rmail file? My
>> testing does. I haven't actually tested it with it being the last message.
>> Maybe that's the difference?
>
> Maybe.  In my case it was the last message in the mbox file.

Well, I just tested it with "emacs -Q" and an inbox in which the only
message in the mbox file had no body, and the body I added when editing still
disappeared.

So, since you can't reproduce it, I think we can assume it's already fixed.
Feel free to close this issue.

Thanks,
Ed




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 11 Jan 2020 18:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 13:12:07 2020
Received: from localhost ([127.0.0.1]:56658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqLF1-0006Ji-De
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:12:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqLEz-0006Ih-4B
 for 38382 <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:12:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52421)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqLEt-0001yW-Dk; Sat, 11 Jan 2020 13:11:59 -0500
Received: from [176.228.60.248] (port=2688 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqLEs-0002gJ-8Q; Sat, 11 Jan 2020 13:11:59 -0500
Date: Sat, 11 Jan 2020 20:11:59 +0200
Message-Id: <83o8v97ths.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ed Sabol <esabol@HIDDEN>
In-reply-to: <20200111175548.D6B7D519@HIDDEN>
 (edward.j.sabol@HIDDEN)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
 <83y2voe6sd.fsf@HIDDEN> <20200110224010.04932203EC@HIDDEN>
 <83lfqe8mia.fsf@HIDDEN> <20200111175548.D6B7D519@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Edward J. Sabol" <edward.j.sabol@HIDDEN>
> CC: 38382 <at> debbugs.gnu.org
> Date: Sat, 11 Jan 2020 12:55:48 -0500 (EST)
> 
> > Just to be sure: this happens for you in "emacs -Q" as well, does it?
> 
> Yes. And I reconfirmed that right before I emailed yesterday. Do you have
> messages before and after the message with no body in the Rmail file? My
> testing does. I haven't actually tested it with it being the last message.
> Maybe that's the difference?

Maybe.  In my case it was the last message in the mbox file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 11 Jan 2020 17:55:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 12:55:53 2020
Received: from localhost ([127.0.0.1]:56645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqKzJ-0005pk-A8
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 12:55:53 -0500
Received: from bigbang.gsfc.nasa.gov ([128.183.16.133]:42174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=dGHbA=3A=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iqKzH-0005pb-5E
 for 38382 <at> debbugs.gnu.org; Sat, 11 Jan 2020 12:55:51 -0500
Received: from dbms2.gsfc.nasa.gov (dbms2 [128.183.16.51])
 by bigbang.gsfc.nasa.gov (8.15.2/8.15.2) with ESMTP id 00BHtmcH060331;
 Sat, 11 Jan 2020 12:55:49 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 bigbang.gsfc.nasa.gov 00BHtmcH060331
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bigbang.gsfc.nasa.gov; s=bigbang-2018-09; t=1578765349;
 bh=mYu65GvZ7p49vU2KRHcsJhYL/yOLgs8/T1kh1oErUkQ=;
 h=From:To:CC:In-reply-to:Subject:Reply-To:References:Date:From;
 b=btAYjQMc62MztFlT0Y5pIQKArifK8QBIVbSIvXOhCTE6klv4/Ohygsd48R3IVyl+F
 MO5gRb8O6JDxkRA9nA6QNmj29odM8u0bqHD1fSu3fVYiwEr3QhuGZxvbp/CkglTt5+
 4RWkucfRVPXBBH/FoTB5VqkcDE9RzkYyAUP+Ge7E=
Received: by dbms2.gsfc.nasa.gov (Postfix, from userid 679)
 id D6B7D519; Sat, 11 Jan 2020 12:55:48 -0500 (EST)
From: "Edward J. Sabol" <edward.j.sabol@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83lfqe8mia.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 11
 Jan 2020 09:45:17 +0200)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
 <83y2voe6sd.fsf@HIDDEN> <20200110224010.04932203EC@HIDDEN>
 <83lfqe8mia.fsf@HIDDEN>
Message-Id: <20200111175548.D6B7D519@HIDDEN>
Date: Sat, 11 Jan 2020 12:55:48 -0500 (EST)
X-Greylist: inspected by milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov
 [128.183.16.133]);
 Sat, 11 Jan 2020 12:55:49 -0500 (EST) for IP:'128.183.16.51' DOMAIN:'dbms2'
 HELO:'dbms2.gsfc.nasa.gov' FROM:'edward.j.sabol@HIDDEN' RCPT:''
X-Greylist: Default is to whitelist mail, not delayed by
 milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov [128.183.16.133]);
 Sat, 11 Jan 2020 12:55:49 -0500 (EST)
X-Scanned-By: MIMEDefang 2.84 on 128.183.16.133
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ed Sabol <esabol@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Just to be sure: this happens for you in "emacs -Q" as well, does it?

Yes. And I reconfirmed that right before I emailed yesterday. Do you have
messages before and after the message with no body in the Rmail file? My
testing does. I haven't actually tested it with it being the last message.
Maybe that's the difference?

Thanks,
Ed




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 11 Jan 2020 07:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 02:45:26 2020
Received: from localhost ([127.0.0.1]:55293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqBSY-0003IW-Aj
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 02:45:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqBSW-0003IJ-9r
 for 38382 <at> debbugs.gnu.org; Sat, 11 Jan 2020 02:45:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45514)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqBSQ-0000l8-Im; Sat, 11 Jan 2020 02:45:18 -0500
Received: from [176.228.60.248] (port=3930 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqBSP-0001Be-1n; Sat, 11 Jan 2020 02:45:18 -0500
Date: Sat, 11 Jan 2020 09:45:17 +0200
Message-Id: <83lfqe8mia.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ed Sabol <esabol@HIDDEN>
In-reply-to: <20200110224010.04932203EC@HIDDEN>
 (edward.j.sabol@HIDDEN)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
 <83y2voe6sd.fsf@HIDDEN> <20200110224010.04932203EC@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Edward J. Sabol" <edward.j.sabol@HIDDEN>
> CC: 38382 <at> debbugs.gnu.org
> Date: Fri, 10 Jan 2020 17:40:09 -0500 (EST)
> 
> > I cannot reproduce this.  I see the added body after "C-c C-c" (with
> > the current master branch of Emacs).
> >
> > How did you "add the body", precisely?  Please show the exact text you
> > typed between 'e' and 'C-c C-c'.
> 
> (Sorry it has taken me a month to reply. December was hectic with all the
> holidays.)
> 
> Well, maybe this is fixed in the current master branch of Emacs, but I can
> reproduce it with Emacs 26.3 started with 'emacs -Q'.
> 
> After typing "e" in eithre the rmail-summary buffer or the rmail buffer, the
> exact keypresses I type are:
> 
> M->
> 
> This is a test.
> 
> RET
> 
> C-c C-c

I did exactly the same, using Emacs 26.3, and I cannot reproduce the
problem.  I do see the added body after "C-c C-c".  So, however
strange, there's something else at work here.

Just to be sure: this happens for you in "emacs -Q" as well, does it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 10 Jan 2020 22:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 17:40:13 2020
Received: from localhost ([127.0.0.1]:55122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iq2wv-00071L-42
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 17:40:13 -0500
Received: from bigbang.gsfc.nasa.gov ([128.183.16.133]:43472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=EeFuy=27=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iq2wt-00071E-UF
 for 38382 <at> debbugs.gnu.org; Fri, 10 Jan 2020 17:40:12 -0500
Received: from alderaan.gsfc.nasa.gov (alderaan.gsfc.nasa.gov [128.183.53.160])
 by bigbang.gsfc.nasa.gov (8.15.2/8.15.2) with ESMTP id 00AMeAZ3059554;
 Fri, 10 Jan 2020 17:40:10 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 bigbang.gsfc.nasa.gov 00AMeAZ3059554
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bigbang.gsfc.nasa.gov; s=bigbang-2018-09; t=1578696010;
 bh=5Mtb763rzVMcX7FZwbC72kUKAT0pmzXY4SMjnnTUgSk=;
 h=From:To:CC:In-reply-to:Subject:Reply-To:References:Date:From;
 b=Pdp1A8YGxJO228oPg9g6XP0XgFCKRVYHgpeV9zGvDPOvMTa77L+brK64c1W+zIteu
 60R7pxItQWJU9Rp1M3F5SmCuTFbF7wnFvQVWXha35DsUV9c0bDJ4aIRngHLqAfxbQW
 EBKzhyXvBPlfFGcmyyNTGGKjvzEBEklFiQCr7oL8=
Received: by alderaan.gsfc.nasa.gov (Postfix, from userid 679)
 id 04932203EC; Fri, 10 Jan 2020 17:40:09 -0500 (EST)
From: "Edward J. Sabol" <edward.j.sabol@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83y2voe6sd.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 07
 Dec 2019 13:04:02 +0200)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
 <83y2voe6sd.fsf@HIDDEN>
Message-Id: <20200110224010.04932203EC@HIDDEN>
Date: Fri, 10 Jan 2020 17:40:09 -0500 (EST)
X-Greylist: inspected by milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov
 [128.183.16.133]);
 Fri, 10 Jan 2020 17:40:10 -0500 (EST) for IP:'128.183.53.160'
 DOMAIN:'alderaan.gsfc.nasa.gov' HELO:'alderaan.gsfc.nasa.gov'
 FROM:'edward.j.sabol@HIDDEN' RCPT:''
X-Greylist: Default is to whitelist mail, not delayed by
 milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov [128.183.16.133]);
 Fri, 10 Jan 2020 17:40:10 -0500 (EST)
X-Scanned-By: MIMEDefang 2.84 on 128.183.16.133
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ed Sabol <esabol@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

>> 1. Send yourself a text/plain email that has no body and no MIME attachments.
>> 2. In Rmail, retrieve the email, adding it to your Rmail file.
>> 3. Hit "e" to edit the message that has no body.
>> 4. Add a body to the message.
>> 5. Hit C-c C-c to finish editing. The body text you just added disappears!

Eli Zaretskii replied:
> I cannot reproduce this.  I see the added body after "C-c C-c" (with
> the current master branch of Emacs).
>
> How did you "add the body", precisely?  Please show the exact text you
> typed between 'e' and 'C-c C-c'.

(Sorry it has taken me a month to reply. December was hectic with all the
holidays.)

Well, maybe this is fixed in the current master branch of Emacs, but I can
reproduce it with Emacs 26.3 started with 'emacs -Q'.

After typing "e" in eithre the rmail-summary buffer or the rmail buffer, the
exact keypresses I type are:

M->

This is a test.

RET

C-c C-c

According to describe-key-briefly, M-> runs the command end-of-buffer when
editing a message in my rmail buffer. After hitting 'C-c C-c', boom goes the
dynamite, the text "This is a test." just disappears. If I kill the rmail
buffer and re-open it, I see "This is a test." So it's there. It's just not
visible after I finish editing. So I guess you could say it's cosmetic only,
but it's very confusing. Again, if the message already has a body, there is
no issue with editing it. I only see this problem with the message has no
body to start with and I add one. And "This is a test" can be any text
really.

Thanks,
Ed




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at 38382 <at> debbugs.gnu.org:


Received: (at 38382) by debbugs.gnu.org; 8 Dec 2019 02:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 21:20:48 2019
Received: from localhost ([127.0.0.1]:49947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idmBk-0003YI-BP
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:20:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1idmBi-0003Y6-E6
 for 38382 <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:20:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60586)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1idXsl-0004mY-I1; Sat, 07 Dec 2019 06:04:15 -0500
Received: from [176.228.60.248] (port=1192 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1idXsl-0003Kk-1J; Sat, 07 Dec 2019 06:04:15 -0500
Date: Sat, 07 Dec 2019 13:04:02 +0200
Message-Id: <83y2voe6sd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ed Sabol <esabol@HIDDEN>
In-reply-to: <20191126013024.18505203EC@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#38382: 26.3;
 Message body not displayed after editing in rmail-mode
References: <20191126013024.18505203EC@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38382
Cc: 38382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 25 Nov 2019 20:30:23 -0500 (EST)
> From: Ed Sabol via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> 1. Send yourself a text/plain email that has no body and no MIME attachments.
> 2. In Rmail, retrieve the email, adding it to your Rmail file.
> 3. Hit "e" to edit the message that has no body.
> 4. Add a body to the message.
> 5. Hit C-c C-c to finish editing. The body text you just added disappears!

I cannot reproduce this.  I see the added body after "C-c C-c" (with
the current master branch of Emacs).

How did you "add the body", precisely?  Please show the exact text you
typed between 'e' and 'C-c C-c'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Nov 2019 01:30:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 20:30:35 2019
Received: from localhost ([127.0.0.1]:50035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZPgY-0002Bg-Qh
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 20:30:35 -0500
Received: from lists.gnu.org ([209.51.188.17]:43350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=EczQp=ZS=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iZPgX-00029w-7q
 for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 20:30:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59447)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <SRS0=EczQp=ZS=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iZPgV-0004lu-D5
 for bug-gnu-emacs@HIDDEN; Mon, 25 Nov 2019 20:30:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_HI,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <SRS0=EczQp=ZS=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iZPgT-0000mw-Go
 for bug-gnu-emacs@HIDDEN; Mon, 25 Nov 2019 20:30:31 -0500
Received: from bigbang.gsfc.nasa.gov ([128.183.16.133]:53178)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71)
 (envelope-from <SRS0=EczQp=ZS=nasa.gov=edward.j.sabol@HIDDEN>)
 id 1iZPgT-0000mU-6X
 for bug-gnu-emacs@HIDDEN; Mon, 25 Nov 2019 20:30:29 -0500
Received: from alderaan.gsfc.nasa.gov (alderaan.gsfc.nasa.gov [128.183.53.160])
 by bigbang.gsfc.nasa.gov (8.15.2/8.15.2) with ESMTP id xAQ1UO5K065096;
 Mon, 25 Nov 2019 20:30:24 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 bigbang.gsfc.nasa.gov xAQ1UO5K065096
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bigbang.gsfc.nasa.gov; s=bigbang-2018-09; t=1574731826;
 bh=TLptqL4dt8JxJZpf63qM3ZukOyR6xy6gQ3E530Ve464=;
 h=From:To:Subject:Reply-To:Date:From;
 b=QJbJRcesrkTRW0mJhisnE/HkwaGNci4Ouv/93VKw0phVdm2mG+e2na0qvETKgM4SF
 thA5/pYZAQ7HHfCuxc+KlL446UuGFRVonAoi5mJu/pzEnyGWwM2qTWBqWK7XfBQc2t
 9QSBkS08XpGfjSYqDijWWizpT+38UFf+HQIb03Ic=
Received: by alderaan.gsfc.nasa.gov (Postfix, from userid 679)
 id 18505203EC; Mon, 25 Nov 2019 20:30:23 -0500 (EST)
From: Ed Sabol <esabol@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; Message body not displayed after editing in rmail-mode
Message-Id: <20191126013024.18505203EC@HIDDEN>
Date: Mon, 25 Nov 2019 20:30:23 -0500 (EST)
X-Greylist: inspected by milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov
 [128.183.16.133]);
 Mon, 25 Nov 2019 20:30:24 -0500 (EST) for IP:'128.183.53.160'
 DOMAIN:'alderaan.gsfc.nasa.gov' HELO:'alderaan.gsfc.nasa.gov'
 FROM:'edward.j.sabol@HIDDEN' RCPT:''
X-Greylist: Default is to whitelist mail, not delayed by
 milter-greylist-4.5.12 (bigbang.gsfc.nasa.gov [128.183.16.133]);
 Mon, 25 Nov 2019 20:30:24 -0500 (EST)
X-Scanned-By: MIMEDefang 2.84 on 128.183.16.133
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 128.183.16.133
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ed Sabol <esabol@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Steps to reproduce:
1. Send yourself a text/plain email that has no body and no MIME attachments.
2. In Rmail, retrieve the email, adding it to your Rmail file.
3. Hit "e" to edit the message that has no body.
4. Add a body to the message.
5. Hit C-c C-c to finish editing. The body text you just added disappears!

If you save the Rmail file, kill the buffer, and re-open the Rmail file, it
properly displays the added body of the message, so I think it's just an
issue with how the message is displayed. Maybe it needs to be re-parsed after
editing?


In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, X toolkit)
 of 2019-11-19 built on heasarcdev
Windowing system distributor 'Scientific Linux', version 11.0.11704000
System Description:	Scientific Linux release 6.10 (Carbon)

Recent messages:
Computing summary lines...done
3 new messages read
Computing summary lines...done
Expunging deleted messages...done
Computing summary lines...done
Saving file /Home/lhea2/sabol/Mail/RMAIL...
Wrote /Home/lhea2/sabol/Mail/RMAIL [2 times]
Computing summary lines...done
command-execute: Buffer is read-only: #<buffer RMAIL-summary>
scroll-down-one-line: Beginning of buffer

Configured using:
 'configure --prefix=/software/usr/contrib
 --exec-prefix=/software/usr/contrib/linux-6.x --with-x-toolkit=lucid
 --with-xft=yes --with-toolkit-scroll-bars=no --with-gif=no --with-tiff=no
 --with-gnutls=no'

Configured features:
XAW3D XPM JPEG PNG SOUND GSETTINGS GLIB NOTIFY LIBSELINUX LIBXML2 FREETYPE
XFT ZLIB LUCID X11 XDBE XIM THREADS

Important settings:
  value of $LC_ALL: C
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  show-paren-mode: t
  diff-auto-refine-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Home/lhea2/sabol/.emacs.d/elpa/dockerfile-mode-1.2/dockerfile-mode hides /software/usr/contrib/share/emacs/26.x/site-lisp/dockerfile-mode
/software/usr/contrib/share/emacs/26.x/site-lisp/perlcritic hides /software/usr/contrib/share/emacs/site-lisp/perlcritic
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-region hides /software/usr/contrib/share/emacs/site-lisp/mmm-region
/software/usr/contrib/share/emacs/26.x/site-lisp/tidy hides /software/usr/contrib/share/emacs/site-lisp/tidy
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-vars hides /software/usr/contrib/share/emacs/site-lisp/mmm-vars
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-noweb hides /software/usr/contrib/share/emacs/site-lisp/mmm-noweb
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-utils hides /software/usr/contrib/share/emacs/site-lisp/mmm-utils
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-cweb hides /software/usr/contrib/share/emacs/site-lisp/mmm-cweb
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-univ hides /software/usr/contrib/share/emacs/site-lisp/mmm-univ
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-rpm hides /software/usr/contrib/share/emacs/site-lisp/mmm-rpm
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-mason hides /software/usr/contrib/share/emacs/site-lisp/mmm-mason
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-sample hides /software/usr/contrib/share/emacs/site-lisp/mmm-sample
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-mode hides /software/usr/contrib/share/emacs/site-lisp/mmm-mode
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-cmds hides /software/usr/contrib/share/emacs/site-lisp/mmm-cmds
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-class hides /software/usr/contrib/share/emacs/site-lisp/mmm-class
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-compat hides /software/usr/contrib/share/emacs/site-lisp/mmm-compat
/Home/lhea2/sabol/.emacs.d/elpa/mmm-mode-0.5.7/mmm-auto hides /software/usr/contrib/share/emacs/site-lisp/mmm-auto
/software/usr/contrib/share/emacs/26.x/site-lisp/mode-compile hides /software/usr/contrib/share/emacs/site-lisp/mode-compile
/software/usr/contrib/share/emacs/26.x/site-lisp/heasarc-info-mode hides /software/usr/contrib/share/emacs/site-lisp/heasarc-info-mode
/software/usr/contrib/share/emacs/26.x/site-lisp/simple-vc hides /software/usr/contrib/share/emacs/site-lisp/simple-vc
/software/usr/contrib/share/emacs/site-lisp/css-mode hides /software/usr/contrib/share/emacs/26.3/lisp/textmodes/css-mode
/software/usr/contrib/share/emacs/site-lisp/flymake hides /software/usr/contrib/share/emacs/26.3/lisp/progmodes/flymake

Features:
(shadow emacsbug apropos cl-print debug jka-compr eieio-opt speedbar sb-image
ezimage dframe find-func rmail-spam-filter rmailkwd rmailout rmailsort
undigest help-fns shr svg xml dom rmailedit thingatpt browse-url timezone
supercite regi mailalias mail-hist sendmail warnings rx sh-script smie
compile comint ansi-color autoload radix-tree pp cus-edit cus-start cus-load
lisp-mnt help-mode misearch multi-isearch mm-archive network-stream starttls
url-http tls gnutls url-gw nsm url-cache url-auth url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util mailcap qp
rmailsum rmailmm elec-pair paren psvn wid-edit cl log-edit message rmc puny
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev mail-utils gmm-utils mailheader ring add-log diff-mode executable
mmm-auto mmm-vars mmm-utils mmm-compat imenu mm-util mail-prsvr time advice
server restart-session dired dired-loaddefs pcvs vc-cvs pcvs-parse pcvs-info
pcvs-defs easy-mmode pcvs-util ewoc finder-inf package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp byte-compile
cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win
x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote threads
inotify dynamic-setting font-render-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 831387 119634)
 (symbols 48 32849 2)
 (miscs 40 6002 14289)
 (strings 32 147573 32599)
 (string-bytes 1 5512316)
 (vectors 16 42343)
 (vector-slots 8 1501304 191164)
 (floats 8 105 585)
 (intervals 56 85883 452)
 (buffers 992 29)
 (heap 1024 81972 16077))




Acknowledgement sent to Ed Sabol <esabol@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38382; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Jan 2020 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.